import { TiniElement } from 'tinijs';
export declare class IconLink45degComponent extends TiniElement {
    static readonly defaultTagName = "icon-link-45deg";
    static readonly componentName = "icon";
    static styles: any;
    scale?: string;
    scheme?: string;
    willUpdate(): void;
    protected render(): any;
}
